Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7992 - disk druid can't recognize drives > 8gig; need fdisk option
Summary: disk druid can't recognize drives > 8gig; need fdisk option
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-25 17:38 UTC by Raul Acevedo
Modified: 2015-01-07 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-22 20:16:30 UTC


Attachments (Terms of Use)

Description Raul Acevedo 1999-12-25 17:38:27 UTC
This is both a new bug, and a reiteration of points made in other bugs.

1.  I have a new IBM ThinkPad 600E with a 10Gig hard drive.  Disk druid
only sees the first 8Gig of the drive.  So right now I am wasting the
last 2Gig of my drive.  (Windows NT disk utility, and DOS' fdisk, see
the full 10Gig.)

2.  Either fdisk should be an option, or disk druid should absorb all
fdisk functionality.  What comes to mind right now (and as a result of
the above problem) is being able to set partition types on already
existing partitions (e.g. I tried making the partitions in Windows NT
as needed, but they are made of type DOS... which Disk Druid won't
change to Linux Native or Swap, though fdisk would), properly working
with drives > 8Gig, and ability to set device numbers (i.e. I get to
say it's /dev/hda2, instead of getting assigned /dev/hda5).

Comment 1 Daniel DiPaolo 1999-12-27 10:18:59 UTC
Actually, RH6.1's Disk Druid recognized all of my big 20.0GB HD during setup and
could partition every spot on it.  I find it odd that it wouldn't do the same
for yours.

Comment 2 Riley H Williams 1999-12-28 18:28:59 UTC
This sounds like a BIOS problem to me. How is the drive configured in the BIOS?
Is it set for NORMAL, LARGE or LBA mode?

The largest drive I have is an 8.4G one, which is mapped in LBA mode as
1027/255/63 and works fine. However, it may be necessary to play with the
different modes to determine which is the correct one for your drive/BIOS
combination.

Comment 3 Jay Turner 2000-02-22 20:16:59 UTC
Sounds like a BIOS issue with the ThinkPad, but fdisk has been added back to the
beta installer.


Note You need to log in before you can comment on or make changes to this bug.